<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Municipio</title>
        <h:outputStylesheet name="style.css" library="css" />
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 

                <p:fieldset legend="Agregar Municipio"  style="margin-bottom:10px" > 
                    <h:form id="formMunicipio">

                        <p:growl id="msg" />
                        <h:panelGrid columns="12" cellpadding="5" cellspacing="2"> 
                            <p:outputLabel value="Municipio" style="margin-right:30px;"/>
                            <p:inputText value="#{municipioController.municipio.municipio}"/>
                            <p:outputLabel value="Departamento" style="margin-right:30px;"/>
                            
                            <p:selectOneMenu value="#{municipioController.departamento.id}">
                                <f:selectItems value="#{departamentoController.lista}" var="dep" itemLabel="#{dep.departamento}" itemValue="#{dep.id}"/>
                            </p:selectOneMenu>
                             </h:panelGrid>
                            <h:panelGrid columns="2" cellpadding="2" cellspacing="2">
                            <div class="registrar" > 
                                <p:commandButton style="margin-left: 105px; top:5px;" icon="pi pi-save" rendered="#{municipioController.municipio.municipio==null}" value="Registrar" action="#{municipioController.insertar()}" update=":municipios,formMunicipio,msg"/>
                            </div>
                            <p:commandButton icon="pi pi-times"  rendered="#{municipioController.municipio.municipio!=null}" value="Cancelar" action="#{municipioController.init()}" update=":municipios,formMunicipio,msg"/>
                            <p:commandButton icon="pi pi-refresh" rendered="#{municipioController.municipio.municipio!=null}" value="Actualizar" action="#{municipioController.editar()}" update=":municipios,formMunicipio,msg"/>
                        </h:panelGrid>
                    </h:form>
                </p:fieldset>

                <p:fieldset legend="Listado de Municipios"> 
                    <h:form id="municipios" class="tresColumnas">
                        <p:dataTable value="#{municipioController.lista}" var="municipio" paginator="true" rows="5" reflow="true" style="margin: auto; margin-top:2px">
                            <p:column headerText="Municipio">
                                <p:outputLabel value="#{municipio.municipio}"/>
                            </p:column>
                            <p:column headerText="Departamento">
                                <p:outputLabel value="#{municipio.departamento.departamento}"/>
                            </p:column>
                            <p:column headerText="Acciones">
                                <div class="eliminar"> 
                                    <p:commandButton icon="pi pi-trash" value="Eliminar" actionListener="#{municipioController.eliminar(municipio)}" update="municipios,:formMunicipio:msg"/>
                                </div>
                                <div class="editar"> 
                                    <p:commandButton icon="pi pi-pencil" value="Editar" actionListener="#{municipioController.consultarById(municipio)}" update=":formMunicipio"/>
                                </div>
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:fieldset>

            </ui:define>
        </ui:composition>
    </h:body>
</html>

